@import url('https://fonts.googleapis.com/css2?family=Yaldevi&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Sorts+Mill+Goudy&display=swap');

:root {
    --primary-color-1: #101110;
    --primary-color-2: #E8E8E8;
    --primary-color-3: #008080;
    --secondary-color-1: #1D1D1D;

    --normal-font-size: 18px;
    --normal-line-height: 28px;

    /* transitions */
    --transt-1 : 0.25s ease;
}

*, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Yaldevi, Arial, sans-serif;
    letter-spacing: 1px;
}

html{
    scroll-behavior: smooth;
}

body {
    background-color: var(--secondary-color-1);
    background-image: url("../imgs/steam-background.webp");
    background-size: cover;
    background-repeat: repeat;
    background-attachment: fixed;
    overflow-X: hidden;
    color: #fff;
    font-size: var(--normal-font-size);
    line-height: var(--normal-line-height);
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Sorts Mill Goudy', 'Times New Roman', Times, serif;
}

h2 {
    font-size: 30px;
    line-height: 40px;
}

img {
    display: block;
    max-width: 100%;
    max-height: 100%;
}

ul {list-style: none;}

a {color: var(--primary-color-3);}

.main-wrapper {
    max-width: 1300px;
    margin-right: 2.5%;
    margin-left: 2.5%;
}

.teal-txt {
    color: var(--primary-color-3);
}
.center-txt {
    text-align: center;
}

.ss-hidden {
    display: none !important;
}

.flex-layout {
    display: flex;
}

.flex-layout.two {
    flex-direction: column;
}

.col-gap-30 {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.mw-500 {
    max-width: 500px;
    width: 100%;
}

.mw-650 {
    max-width: 650px; /* to prevent head movement when reading text on large screens*/
    width: 100%;
}

.tick-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.tick-list li {
    display: flex;
    gap: 5px;
}

.tick-list li::before {
    content: "\2713";
    font-weight: bold;
    margin-bottom: -10px;
}

.btn-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.btn-1 {
    display: inline-block;
    font-size: inherit;
    text-decoration: none;
    text-align: center;
    text-transform: capitalize;
    padding: 8px 24px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.btn-1.black-bckg {
    background-color: var(--primary-color-1);
    color: #fff;
}

.btn-1.white-bdr {
    color: #fff;
    border: 1px solid #fff;
}

.btn-1.black-bdr {
    color: #000;
    border: 1px solid #000;
}

.btn-1.teal-bckg {
    background-color: var(--primary-color-3);
    color: #fff;
}

.btn-1.teal-bdr {
    color: var(--primary-color-3);
    border: 1px solid var(--primary-color-3);
}

.burger-icon {
    background-color: transparent;
    width: 32px;
    height: 32px;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid #fff;
    border-radius: 3px;
    cursor: pointer;
}

.burger-icon:hover {
    width: 34px;
    height: 34px;
    border: 1px solid var(--primary-color-3);
}

.burger-icon span {
    background-color: #fff;
    width: 70%;
    height: 2px;
    margin: 8%;
    transition: transform 0.5s ease-in-out, opacity 0.3s linear;
}

/* burger animation*/
.burger-icon.active .top-bun {
    transform: rotate(-45deg) translate(-5px, 4px);
}

.burger-icon.active:hover .top-bun {
    transform: rotate(-45deg) translate(-5px, 5px);
}

.burger-icon.active .patty {
    opacity: 0;
}

.burger-icon.active .bottom-bun {
    transform: rotate(45deg) translate(-5px, -4px);
}

.burger-icon.active:hover .bottom-bun {
    transform: rotate(45deg) translate(-5px, -5px);
}

.alert-container {
    max-width: 500px;
    position: fixed;
    top: 20dvh;
    left: 50%;
    z-index: 15;
    transform: translateX(-50%);
    padding: 30px;
    border-radius: 10px;
}

.alert-container.success {
    background-color: hsla(120, 100%, 25%, 0.9);
}

.alert-container.failed {
    background-color: hsla(0, 100%, 50%, 0.9);
}

.alert-container ul {list-style-type: disc;}

.alert-container .close-btn {
    background-color: var(--primary-color-1);
    width: 25px;
    height: 25px;
    position: absolute;
    top: 5px;
    right: 5px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    border-radius: 50%;
    cursor: pointer;
}

.alert-container.hide {display: none;}

#main-header {
    background: var(--primary-color-1);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 5;
    transition: var(--transt-1);
}

#main-header.hide {transform: translateY(-200%);}

#main-header.teal-bckg {background-color: var(--primary-color-3);}

#main-header .main-wrapper {
    height: 11dvh;
    min-height: fit-content;
    max-height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#main-header .logo-container img {
    width: 64px;
    display: block;
    padding: 10px 0;
}

#main-nav {
    background: var(--primary-color-1);
    width: 100%;
    position: absolute;
    top: 100%;
    left: 0;
    min-height: 0;
    max-height: 0;
    z-index: 10;
    overflow: hidden;
    transition: 0.55s ease;   
}

#main-nav.active {min-height: 100dvh;}

#main-nav ul {
    width: fit-content;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin: auto;
    padding-block: 5dvh;
}

#main-nav li a {
    display: inline-block;
    color: #fff;
    text-decoration: none;
    padding: 10px 15px;
}

#main-nav li a:hover {color: var(--primary-color-3);}

#main-nav .btn-1.teal-bckg:hover {
    background-color: var(--primary-color-2);
    color: var(--primary-color-3);
}

.main-section .main-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    padding-block: 100px;
}

.main-section .title-container {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    text-align: center;
    font-weight: 600;
    gap: 20px;
}

.main-section .title-container p {text-transform: uppercase;}

.main-section .grid-layout,
#main-footer .logo-socials-container {
    width: 100%;
    display: grid;
    gap: 30px;
}

.main-section .grid-layout > *,
#main-footer .logo-socials-container > * {
    margin-inline: auto;
}

.main-section p a, .main-section ul a {text-decoration: none;}

.main-section p a:hover, .main-section ul a:hover {text-decoration: underline;}

.main-section .main-img-container img {
    width: 400px;
    max-height: 400px;
    margin: auto;
}

#hero-section .main-wrapper {
    gap: 0;
    padding-block: 140px 60px;
}

#hero-section h1 {
    font-size: var(--normal-font-size);
}

#hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
}

#big-hero-text {
    display: inline-block;
    font-size: 52px;
    line-height: 64px;
    font-weight: bold;
    padding: 10px 0;
}

#hero-section .scroll-down-btn {
    width: 30px;
    padding-top: 50px;
}

#hero-section .scroll-down-btn img:hover {filter: invert(27%) sepia(93%) saturate(1352%) hue-rotate(154deg) brightness(98%) contrast(101%);}

#portfolio article {
    background-size: cover;
    background-position: center;
    width: 100%;
    max-width: 500px;
    position: relative; /* Establishes a stacking context for the pseudo-element */
    color: #fff;
}

#portfolio article::after {
    content: "";
    background: linear-gradient(to bottom, transparent 30%, #000 90%);
    width: 100%;
    display: block;
    padding-bottom: 120%; /* Sets the padding bottom to create the 5:6 ratio */
}

#portfolio article > * {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    gap: 10px;
    position: absolute;
    top: 0; 
    left: 0; 
    padding: 20px 4%;
}

#portfolio article h3 {
    line-height: 15px;
}

#portfolio article .btn-1 {width: fit-content;}

#portfolio article .btn-1.teal-bckg:hover {
    background-color: var(--primary-color-2);
    color: var(--primary-color-1);
}

.ar-16-9 {
    width: 100%; /* Ensures the div fills its container horizontally */
    position: relative; /* Establishes a stacking context for the pseudo-element */
}
  
.ar-16-9::after {
    content: ""; /* Inserts an empty pseudo-element */
    display: block; /* Makes the pseudo-element a block-level box */
    padding-bottom: 66.66%; /* Sets the padding bottom to create the 3:2 ratio */
    width: 0; /* Hides the actual content of the pseudo-element */
    height: 0; /* Hides the actual content of the pseudo-element */
}
  
.ar-16-9 > * {
    background-size: cover;
    background-position: center;
    position: absolute; /* Positions the content within the div */
    top: 0; /* Aligns content to the top */
    left: 0; /* Aligns content to the left */
    width: 100%; /* Ensures content fills the width of the div */
    height: 100%; /* Ensures content fills the height of the div */
}

#testimonials q {
    font-size: 16px;
}

#testimonials blockquote img {
    width: 30%;
    max-width: 200px;
    display: inline-block;
    border-radius: 50%;
}

#testimonials footer {
    display: flex;
    flex-wrap: wrap;
    gap: 10%;
    font-weight: bold;
    padding-top: 10px;
}

#testimonials cite {
    flex-grow: 1;
    font-size: smaller;
    text-align: right;
}

#testimonials cite a {text-decoration: none;}

#contacts .contacts-list {
    display: grid;
    gap: 30px;
}

#contacts .contacts-list a {
    display: flex;
    align-items: center;
    color: inherit;
    text-decoration: none;
    gap: 10px;
}

#contacts input,
#contacts textarea {
    background-color: transparent;
    border: none;
    padding: 10px;
    width: 100%;
    border-radius: 5px;
}

#contacts input:focus,
#contacts textarea:focus {
    outline: 2px solid hsla(180, 100%, 25%, 90%);
    border: none;
}

#main-footer {
    background-color: hsla(120, 3%, 6%, 80%);
    font-size: 16px;
}

#main-footer .site-links {
    width: 240px;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

#main-footer .site-links a {color: #fff;}

#main-footer .site-links a:hover {
    color: var(--primary-color-3);
    text-decoration: none;
}

#main-footer .logo-socials-container {
    width: 300px;
    max-width: 100%;
}

.footer-logo {
    background-color: #000;
    display: inline-block;
    padding: 20px 30px 32px 30px;
    border-radius: 10px;
}

#main-footer .social-links {
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.footer-copyright {
    background-color: #000;
    width: 100%;
    text-align: center;
    padding: 10px;
}

/*********************************\
 # MEDIA QUERIES
\*********************************/

@media (min-width: 500px) {
    #contacts .contacts-list {
        grid-auto-flow: column;
    }
}

@media (min-width: 768px) {
    .main-section .grid-layout.two {
        grid-template-columns: 1fr 1fr;
    }

    .main-section .grid-layout.four {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 1024px) {
    
    .ss-hidden {
        display: inherit !important;
    }

    .main-section .main-wrapper {
        justify-content: center;
        gap: 30px;
    }

    .main-section .title-container {
        width: 50%;
        max-width: 650px;
        /* align-items: flex-start; */
    }

    .main-section .grid-layout.one,
    .main-section .grid-layout.three {
        grid-template-columns: 1fr 1fr;
    }
          
    .main-section .grid-layout.one.reverse > :last-child {
        grid-row-start: 1;
    }

    .main-section .main-img-container {
        margin-top: -40px;
    }

    #main-header .burger-icon {
        display: none;
    }

    #main-nav {
        width: fit-content;
        min-height: fit-content;
        max-height: none;
        position: static;
    }
    
    #main-nav.active {min-height: fit-content;}

    #main-nav ul {
        flex-direction: row;
        padding: 0;
    }

    #hero-section h1 {align-self: flex-start;}
    
    #services .title-container,
    #professional-email-services .title-container {
        align-self: flex-end;
    }

    #portfolio .grid-layout {
        margin-block: 25px 40px;
    }

}

@media (min-width: 1200px) {
    .main-section .grid-layout.two {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .main-section .grid-layout.three {
        grid-template-columns: repeat(4, 1fr);
    }

    #main-footer .site-links {width: fit-content;}
}